// Ovládání 4 výstupů ESP-01 ( Wi-Fi ) 

#include <ESP8266WiFi.h>

const char* ssid = "XXXXXXXXXX";      // ZADEJTE JMÉNO VAŠÍ WIFI SÍTĚ

const char* password = "YYYYYYYYYY";  // ZADEJTE HESLO VAŠÍ WIFI SÍTĚ

WiFiServer server(80);

//Jako výstupy použít piny : 

int myPins[]={0,1,2,3};

// Počet použitých pinů ( pro mobilní aplikaci ) 

int noOfDevices=4;



String data;

void setup() {

for(int i=0;i<sizeof(myPins);i++){

  pinMode(myPins[i],OUTPUT);

  digitalWrite(myPins[i],0);

 }



  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED) {

    delay(500);

 

  }

  

  server.begin();

}

void loop() {

WiFiClient client = server.available();

  if(client){

// Přijatá data z mobilní aplikace převeď na pole znaků
String text=client.readStringUntil('\n');

text.remove(0,5);

text.remove(noOfDevices,text.length());

if(text!="favic"){

data=text;


//Změň úroveň ( status ) na pinech

for (int i=0;i<noOfDevices;i++) {

    if (data[i]=='0'){

       digitalWrite(myPins[i],0);

     }

   else if(data[i]=='1'){

       digitalWrite(myPins[i],1);


         }

   

       }

       /*------------Pošli do aplikace když byl status pinů úspěšně změněn--------------*/



       client.println("HTTP/1.1 200 OK");

       client.println("Content-Type: text/html");

       client.println("");

       client.print("success");



}



client.flush();  

}

}
